package net.northking.cctp.element.core.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import net.northking.cctp.element.core.type.DataType;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Return {

    /**
     * name
     *
     * @return
     */
    String name();

    /**
     * Parameter description
     *
     * @return
     */
    String comment();

    /**
     * type
     *
     * @return
     */
    DataType type();

}